Package org.apache.sling.distribution.journal.impl.publisher

# Class SimpleDistributionResponse

java.lang.Object
org.apache.sling.distribution.journal.impl.publisher.SimpleDistributionResponse

All Implemented Interfaces:
  `org.apache.sling.distribution.DistributionResponse`

@ParametersAreNonnullByDefault public final class SimpleDistributionResponse extends Object implements org.apache.sling.distribution.DistributionResponse

## Constructor Summary

Constructors
Constructor
Description
`SimpleDistributionResponse(org.apache.sling.distribution.DistributionRequestState state, String message)`
`SimpleDistributionResponse(org.apache.sling.distribution.DistributionRequestState state, String message, org.apache.sling.distribution.DistributionResponseInfo info)`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.distribution.DistributionResponseInfo`
`getDistributionInfo()`
`String`
`getMessage()`
`org.apache.sling.distribution.DistributionRequestState`
`getState()`
`boolean`
`isSuccessful()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleDistributionResponse

public SimpleDistributionResponse(org.apache.sling.distribution.DistributionRequestState state, String message, org.apache.sling.distribution.DistributionResponseInfo info)

### SimpleDistributionResponse

public SimpleDistributionResponse(org.apache.sling.distribution.DistributionRequestState state, String message)

## Method Details

### isSuccessful

public boolean isSuccessful()

Specified by:
  `isSuccessful` in interface `org.apache.sling.distribution.DistributionResponse`

### getState

@Nonnull public org.apache.sling.distribution.DistributionRequestState getState()

Specified by:
  `getState` in interface `org.apache.sling.distribution.DistributionResponse`

### getMessage

public String getMessage()

Specified by:
  `getMessage` in interface `org.apache.sling.distribution.DistributionResponse`

### getDistributionInfo

@Nonnull public org.apache.sling.distribution.DistributionResponseInfo getDistributionInfo()

Specified by:
  `getDistributionInfo` in interface `org.apache.sling.distribution.DistributionResponse`